For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • GETGet webhook subscriptions
      • POSTSubscribe to a webhook
      • GETGet a webhook subscription
      • DELDelete a webhook subscription
      • PATCHUpdate a webhook subscription
      • POSTDisable a webhook subscription
      • POSTEnable a webhook subscription
      • POSTRegenerate a webhook secret and return the new webhook subscription
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralWebhook subscriptions

Delete a webhook subscription

DELETE
/webhook_subscriptions/:webhook_subscription_id
DELETE
/v1/webhook_subscriptions/:webhook_subscription_id
$curl -X DELETE https://api.sandbox.monite.com/v1/webhook_subscriptions/webhook_subscription_id \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Update a webhook subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_subscription_idstringRequired

ID of the webhook subscription. This is the same value as the webhook_subscription_id you receive in webhooks.

Headers

x-monite-versionstringRequired

Errors

401
Delete Webhook Subscriptions ID Request Unauthorized Error
404
Delete Webhook Subscriptions ID Request Not Found Error
422
Delete Webhook Subscriptions ID Request Unprocessable Entity Error
429
Delete Webhook Subscriptions ID Request Too Many Requests Error